Update task

PUT
/api/v2/tasks/{id}

Updates an existing task. Returns the updated task.

AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'

In: header

Path Parameters

id*string

The unique identifier of the task.

Formatuuid

Request Body

application/json

The updated task data.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v2/tasks/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "isActive": true  }'
{  "isSuccess": true,  "error": {},  "errorDetails": "string",  "message": "string"}